Bug 89073 - RH 9.0 installation corrupts existing W98 FAT partition
RH 9.0 installation corrupts existing W98 FAT partition
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-04-17 03:08 EDT by Emmanuel Hislen
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-20 14:48:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Emmanuel Hislen 2003-04-17 03:08:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:

I have a PC with a 20Gig hard drive, AMD 900MHz.
This hard drive is partitioned

It has 2 partitions for Windows 98: C: and D:
The rest (no more than 5 Gig I think) was left for Linux, and I later installed
Redhat 7.2 (retail), about one year ago.
installation of RH 7.2 went just fine. I had dual boot with Grub and it always

Now I burned the 3 CDs for RH9.0 and decided to install:
- I chose to do a "new installation" and not an upgrade (I had nothing to loose
on Linux side)
- Then I chose to "delete all existing Linux Partitions"
- I selected automatic partitioning, but also selected the "check" option.
- When asked to check and presented with the Disk Druid interface, I simply
edited the swap and increased it (no fixed size, I said "up to 750 Mb"). I could
see that the additional space was taken from the main Linux partition (/).

Then Linux install finished successfully (the only weird thing being that at
boot time one of the messages mentions that the kernel is for i686 whereas I
have an AMD, anyway...).

Linux 9.0 works great, no issue here.

Then I reboot, and choose DOS in ther Grub loader.
Immediately I see ScanDisk blue screen, he's not happy about my D: drive and
says something about LBA.
I go ahead anyway, windows98 comes up with a lot of error messages for all
programs on the D: drive: it is not accessible any more!!!!!
C: drive is fine, that's where I've put the OS, which is why windows can come up.

I reboot in DOS mode, type fdisk, and see that the D: partition is still here,
about 12 Gig, BUT the volume name contains garbage characters!!

I am helpless here, and I really hope I can get back the data on D:...
Please help!

Here's linux view of my partitions:

[root@marsupilami manu]# /sbin/fdisk -l
Disk /dev/hda: 20.0 GB, 20020396032 bytes
255 heads, 63 sectors/track, 2434 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1       243   1951866    c  Win95 FAT32 (LBA)
/dev/hda2           244       256    104422+  83  Linux
/dev/hda3           257       898   5156865    5  Extended
/dev/hda4           899      2434  12337920    c  Win95 FAT32 (LBA)
/dev/hda5           257       866   4899793+  83  Linux
/dev/hda6           867       898    257008+  82  Linux swap

[root@marsupilami manu]# df -v
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda5              4822816   2443076   2134752  54% /
/dev/hda2               101107      9275     86611  10% /boot
none                     63016         0     63016   0% /dev/shm

Thanks & Regards,


Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. See Description

Actual Results:  D: drive corrupted :-(

Expected Results:  D: drive not corrupted :-)

Additional info:
Comment 1 Michael Fulbright 2003-05-19 15:22:59 EDT
This would probably be a parted issue if anything. I have not heard of this
problem occurring before your report.  We do not mount non-Linux partitions at
anytime I can think of during an install. Did you happen to put your D: drive in
Disk Druid as a mount point?  This shouldn't matter but might help us diagnose
the problem.
Comment 2 Emmanuel Hislen 2003-05-20 00:30:57 EDT

I later found out that my D: drive had actually become E: under Win 98.

Before installing Redhat 9.0 I had C: and D: for windows.

After I installed Linux suddenly Win98 showed me 3 drives: C: D: and E:.

D: is not a Windows partition at all, and running fdisk in MS-DOS shows only 2 
FAT32 partition named c: and d:.

The good thing is I did not loose my data, and I know the problem is with 
Win98 (even though it was triggered by RedHat 9.0 install).

Indeed I decided to buy a new hard drive and installed WinXP on it. Then I put 
back my previous drive as slave and WinXP saw only 2 Windows partition where 
Win98 used to see 3 of them...

So I think we can probably close this issue.



Comment 3 Michael Fulbright 2003-05-20 14:48:17 EDT
Glad to hear things are OK now!

Note You need to log in before you can comment on or make changes to this bug.